Index: libcfa/src/concurrency/locks.hfa
===================================================================
--- libcfa/src/concurrency/locks.hfa	(revision c20533eac59c1a6c117eec0ffaeabbb99d4ed54c)
+++ libcfa/src/concurrency/locks.hfa	(revision 1e6f632fe210f10e8a5aeaa25a8be00593f7e333)
@@ -10,36 +10,27 @@
 #include "time_t.hfa"
 #include "time.hfa"
-#include <sys/time.h>
 
-///////////////////////////////////////////////////////////////////
-//// is_blocking_lock
-///////////////////////////////////////////////////////////////////
+//-----------------------------------------------------------------------------
+// is_blocking_lock
+trait is_blocking_lock(dtype L | sized(L)) {
+	// For synchronization locks to use when acquiring
+	void on_notify( L &, struct $thread * );
 
-trait is_blocking_lock(dtype L | sized(L)) {
-	void on_notify( L &, struct $thread * );			// For synchronization locks to use when acquiring
-	void on_wait( L & );    							// For synchronization locks to use when releasing
-	size_t get_recursion_count( L & ); 					// to get recursion count for cond lock to reset after waking
-	void set_recursion_count( L &, size_t recursion );	// to set recursion count after getting signalled;
+	// For synchronization locks to use when releasing
+	void on_wait( L & );
+
+	// to get recursion count for cond lock to reset after waking
+	size_t get_recursion_count( L & );
+
+	// to set recursion count after getting signalled;
+	void set_recursion_count( L &, size_t recursion );
 };
 
-///////////////////////////////////////////////////////////////////
-//// info_thread
-///////////////////////////////////////////////////////////////////
-
+//-----------------------------------------------------------------------------
+// info_thread
 // the info thread is a wrapper around a thread used
 // to store extra data for use in the condition variable
 forall(dtype L | is_blocking_lock(L)) {
-	struct info_thread {
-		inline Seqable;					// used to put info_thread on a dl queue (aka sequence)
-		struct $thread * t;				// waiting thread
-		uintptr_t info;					// shadow field
-		L * lock;						// lock that is passed to wait() (if one is passed)
-		bool signalled;					// true when signalled and false when timeout wakes thread
-	};
-
-
-	void ?{}( info_thread(L) & this, $thread * t );
-	void ?{}( info_thread(L) & this, $thread * t, uintptr_t info );
-	void ^?{}( info_thread(L) & this );
+	struct info_thread;
 
 	// for use by sequence
@@ -48,8 +39,6 @@
 }
 
-///////////////////////////////////////////////////////////////////
-//// Blocking Locks
-///////////////////////////////////////////////////////////////////
-
+//-----------------------------------------------------------------------------
+// Blocking Locks
 struct blocking_lock {
 	// Spin lock used for mutual exclusion
@@ -87,14 +76,14 @@
 };
 
-void ?{}( blocking_lock & this, bool multi_acquisition, bool strict_owner );
+void  ?{}( blocking_lock & this, bool multi_acquisition, bool strict_owner );
 void ^?{}( blocking_lock & this );
 
-void ?{}( single_acquisition_lock & this );
+void  ?{}( single_acquisition_lock & this );
 void ^?{}( single_acquisition_lock & this );
 
-void ?{}( owner_lock & this );
+void  ?{}( owner_lock & this );
 void ^?{}( owner_lock & this );
 
-void ?{}( multiple_acquisition_lock & this );
+void  ?{}( multiple_acquisition_lock & this );
 void ^?{}( multiple_acquisition_lock & this );
 
@@ -129,7 +118,6 @@
 size_t get_recursion_count( multiple_acquisition_lock & this );
 
-///////////////////////////////////////////////////////////////////
-//// Synchronization Locks
-///////////////////////////////////////////////////////////////////
+//-----------------------------------------------------------------------------
+// Synchronization Locks
 forall(dtype L | is_blocking_lock(L)) {
 	struct condition_variable {
@@ -144,5 +132,5 @@
 	};
 
-	void ?{}( condition_variable(L) & this );
+	void  ?{}( condition_variable(L) & this );
 	void ^?{}( condition_variable(L) & this );
 
@@ -152,6 +140,6 @@
 	uintptr_t front( condition_variable(L) & this );
 
-	bool empty( condition_variable(L) & this );
-	int counter( condition_variable(L) & this );
+	bool empty  ( condition_variable(L) & this );
+	int  counter( condition_variable(L) & this );
 
 	void wait( condition_variable(L) & this );
